'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FileHistoryList = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactJss = require('react-jss');

var _reactJss2 = _interopRequireDefault(_reactJss);

var _fileHistoryListStyle = require('./fileHistoryListStyle');

var _fileHistoryListStyle2 = _interopRequireDefault(_fileHistoryListStyle);

var _widgets = require('../../widgets');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var FileHistoryList = function (_React$Component) {
  _inherits(FileHistoryList, _React$Component);

  function FileHistoryList() {
    _classCallCheck(this, FileHistoryList);

    return _possibleConstructorReturn(this, (FileHistoryList.__proto__ || Object.getPrototypeOf(FileHistoryList)).apply(this, arguments));
  }

  _createClass(FileHistoryList, [{
    key: 'handlePageChange',
    value: function handlePageChange(pageIndex) {
      this.props.onChangePage(pageIndex + 1);
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          classes = _props.classes,
          primaryColor = _props.primaryColor,
          children = _props.children,
          pageSize = _props.pageSize,
          pageIndex = _props.pageIndex,
          total = _props.total;


      return _react2.default.createElement(
        _react2.default.Fragment,
        null,
        _react2.default.createElement(
          'div',
          { className: classes.fileList },
          children,
          _react2.default.createElement(
            'div',
            { style: { margin: "10px 0" } },
            _react2.default.createElement(_widgets.AppPagination, {
              primaryColor: primaryColor,
              pageSize: pageSize,
              index: pageIndex,
              total: total,
              onChangePage: this.handlePageChange.bind(this) })
          )
        )
      );
    }
  }]);

  return FileHistoryList;
}(_react2.default.Component);

var styleFileHistoryList = (0, _reactJss2.default)(_fileHistoryListStyle2.default)(FileHistoryList);

exports.FileHistoryList = styleFileHistoryList;