"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _assets = require("../../assets");

var _assets2 = _interopRequireDefault(_assets);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var paginationStyle = {
  container: {
    display: "flex",
    fontSize: "17px",
    height: "24px",
    lineHeight: "24px",
    color: _assets2.default.buttonBackgroundColor,
    fontWeight: "500",
    letterSpacing: "0.5px"
  },
  enable: {
    cursor: "pointer"
  },
  disabled: {
    color: _assets2.default.placeholderColor,
    cursor: "not-allowed"
  },
  numbers: {
    flex: "1",
    justifyContent: "center",
    display: "flex"
  },
  index: {
    display: "inline-block",
    width: "38px",
    height: "38px",
    textAlign: "center",
    lineHeight: "38px",
    cursor: "pointer"
  },
  selected: {
    composes: ['$index'],
    backgroundColor: _assets2.default.buttonBackgroundColor,
    color: _assets2.default.primaryColor,
    cursor: "default"
  }
};

exports.default = paginationStyle;