'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FileUploadSuit = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactJss = require('react-jss');

var _reactJss2 = _interopRequireDefault(_reactJss);

var _fileUploadSuitStyle = require('./fileUploadSuitStyle');

var _fileUploadSuitStyle2 = _interopRequireDefault(_fileUploadSuitStyle);

var _components = require('./components');

var _assets = require('./assets');

var _assets2 = _interopRequireDefault(_assets);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var FileUploadSuit = function (_React$Component) {
  _inherits(FileUploadSuit, _React$Component);

  function FileUploadSuit() {
    _classCallCheck(this, FileUploadSuit);

    var _this = _possibleConstructorReturn(this, (FileUploadSuit.__proto__ || Object.getPrototypeOf(FileUploadSuit)).call(this));

    _this.primaryColor = _assets2.default.buttonBackgroundColor;
    return _this;
  }

  _createClass(FileUploadSuit, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          themeColor = _props.themeColor,
          onGoBack = _props.onGoBack,
          onRefresh = _props.onRefresh,
          uploadConfig = _props.uploadConfig,
          title = _props.title,
          note = _props.note,
          multiple = _props.multiple,
          openUploadDialog = _props.openUploadDialog,
          isUpload = _props.isUpload,
          onOpen = _props.onOpen,
          onClose = _props.onClose,
          onFileSelected = _props.onFileSelected,
          onConfirm = _props.onConfirm,
          filesList = _props.filesList,
          pageSize = _props.pageSize,
          pageIndex = _props.pageIndex,
          total = _props.total,
          onChangePage = _props.onChangePage;


      var primaryColor = themeColor && themeColor.primaryColor ? themeColor.primaryColor.backgroundColor : _assets2.default.buttonBackgroundColor;

      return _react2.default.createElement(
        _react2.default.Fragment,
        null,
        _react2.default.createElement(_components.ButtonControls, {
          themeColor: themeColor,
          onGoBack: onGoBack,
          onRefresh: onRefresh,
          uploadConfig: uploadConfig,
          title: title || "Upload Files",
          note: note || "",
          multiple: multiple || true,
          openUploadDialog: openUploadDialog,
          isUpload: isUpload,
          onOpen: onOpen,
          onClose: onClose,
          onFileSelected: onFileSelected,
          onConfirm: onConfirm
        }),
        _react2.default.createElement(
          _components.FileHistoryList,
          {
            primaryColor: primaryColor,
            pageSize: pageSize,
            pageIndex: pageIndex,
            total: total,
            onChangePage: onChangePage
          },
          filesList
        )
      );
    }
  }]);

  return FileUploadSuit;
}(_react2.default.Component);

var styleFileUploadSuit = (0, _reactJss2.default)(_fileUploadSuitStyle2.default)(FileUploadSuit);

exports.FileUploadSuit = styleFileUploadSuit;