'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _arrowLeft = require('./arrow-left.svg');

var _arrowLeft2 = _interopRequireDefault(_arrowLeft);

var _loading = require('./loading.gif');

var _loading2 = _interopRequireDefault(_loading);

var _upload = require('./upload.svg');

var _upload2 = _interopRequireDefault(_upload);

var _fileLink = require('./file-link.png');

var _fileLink2 = _interopRequireDefault(_fileLink);

var _refresh = require('./refresh.svg');

var _refresh2 = _interopRequireDefault(_refresh);

var _close_gray = require('./close_gray.svg');

var _close_gray2 = _interopRequireDefault(_close_gray);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  arrowIcon: _arrowLeft2.default,
  loading: _loading2.default,
  uploadIcon: _upload2.default,
  linkIcon: _fileLink2.default,
  refreshIcon: _refresh2.default,
  closeIcon: _close_gray2.default,

  bodyBackgroundColor: '#EAEAEA',
  primaryColor: '#FFF',
  secondaryColor: '#000',
  primaryBackgroundColor: '#345D7F',
  borderColor: '#979797',
  shadowColor: '#345D7F',
  profileColor: '#474747',
  searchColor: '#345D7F',
  buttonBackgroundColor: '#40D5BB',
  primaryButtonBackgroundColor: '#40D5BB',
  eventBorderColor: '#979797',
  eventDialogHeaderColor: '#EAEAEA',
  eventDialogTitleColor: '#474747',
  descriptionColor: '#88CAFB',
  rootColor: '#F76677',
  actionColor: '#77AFA8',
  placeholderColor: '#979797',
  detailBorderColor: '#345D7F',
  tooltipBorder: '#979797',
  analysisHeaderBorder: '#979797',
  similarEventColor: '#474747',
  rootcauseSelectColor: '#D1F0F7',
  successColor: '#5aa700',
  failedColor: '#e0182d',
  uploadingColor: '#efc100',
  uploadHintColor: "#5A6872",
  uploadFileNameColor: "#152935"
};