"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _assets = require("../../assets");

var _assets2 = _interopRequireDefault(_assets);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var buttonControlsStyle = {
  controls: {
    display: "flex",
    justifyContent: "space-between"
  },
  buttonGroup: {
    display: "flex",
    justifyContent: "flex-end"
  },
  textButton: {
    marginRight: "20px",
    border: "none",
    background: "none",
    fontWeight: "bold",
    cursor: "pointer",
    display: "inline-block",
    fontSize: "16px",
    textAlign: "center",
    outline: "none",
    "&:hover": {
      border: "",
      opacity: "0.6"
    }
  },
  back: {
    composes: ['$textButton'],
    color: _assets2.default.secondaryColor
  },
  refresh: {
    composes: ['$textButton'],
    color: _assets2.default.buttonBackgroundColor
  }
};

exports.default = buttonControlsStyle;